/*
 *  ======== acme/filters2/FirB.xdc ========
 */

import stdsorg.math.IFir;
 
/*! Optimized IFir implementation */
@InstanceInitError
@InstanceFinalize
module FirB inherits IFir {
 
internal:
 
    struct Instance_State {
        Int16 coeffs[];         /* create argument */
        Int coeffsLen;          /* create argument */
        Int frameLen;           /* instance config */
        Int16 history[];        /* filter history */
    }
}
